@node ntpsweep Invocation
@section Invoking ntpsweep
@pindex ntpsweep
@cindex Print various informations about given ntp servers
@ignore
#
# EDIT THIS FILE WITH CAUTION  (invoke-ntpsweep.texi)
#
# It has been AutoGen-ed  April 26, 2016 at 08:24:29 PM by AutoGen 5.18.5
# From the definitions    ntpsweep-opts.def
# and the template file   agtexi-cmd.tpl
@end ignore

@code{ntpsweep}
prints per host the NTP stratum level, the clock offset in seconds, the daemon
version, the operating system and the processor. Optionally recursing through
all peers.

This section was generated by @strong{AutoGen},
using the @code{agtexi-cmd} template and the option descriptions for the @code{ntpsweep} program.

@menu
* ntpsweep usage::                  ntpsweep help/usage (@option{--help})
* ntpsweep host-list::              host-list option (-l)
* ntpsweep peers::                  peers option (-p)
* ntpsweep maxlevel::               maxlevel option (-m)
* ntpsweep strip::                  strip option (-s)
* ntpsweep host::                   host option (-h)
* ntpsweep exit status::            exit status
@end menu

@node ntpsweep usage
@subsection ntpsweep help/usage (@option{--help})
@cindex ntpsweep help

This is the automatically generated usage text for ntpsweep.

The text printed is the same whether selected with the @code{help} option
(@option{--help}) or the @code{more-help} option (@option{--more-help}).  @code{more-help} will print
the usage text by passing it through a pager program.
@code{more-help} is disabled on platforms without a working
@code{fork(2)} function.  The @code{PAGER} environment variable is
used to select the program, defaulting to @file{more}.  Both will exit
with a status code of 0.

@exampleindent 0
@example
ntpsweep - Print various informations about given ntp servers - Ver. 4.2.8p7
USAGE: ntpsweep [ -<flag> [<val>] | --<name>[@{=| @}<val>] ]... [hostfile]

    -l, --host-list=str          Host to execute actions on
                                   - may appear multiple times
    -p, --peers                  Recursively list all peers a host synchronizes to
    -m, --maxlevel=num           Traverse peers up to this level (4 is a reasonable number)
    -s, --strip=str              Strip this string from hostnames
    -?, --help                   Display usage information and exit
        --more-help              Pass the extended usage text through a pager

Options are specified by doubled hyphens and their name or by a single
hyphen and the flag character.
@end example
@exampleindent 4

@node ntpsweep host-list
@subsection host-list option (-l)
@cindex ntpsweep-host-list

This is the ``host to execute actions on'' option.
This option takes a string argument.

@noindent
This option has some usage constraints.  It:
@itemize @bullet
@item
may appear an unlimited number of times.
@end itemize

            Use this option to specify the host on which this script operates.
            May appear multiple times.
@node ntpsweep peers
@subsection peers option (-p)
@cindex ntpsweep-peers

This is the ``recursively list all peers a host synchronizes to'' option.
This option has no @samp{doc} documentation.
@node ntpsweep maxlevel
@subsection maxlevel option (-m)
@cindex ntpsweep-maxlevel

This is the ``traverse peers up to this level (4 is a reasonable number)'' option.
This option takes a number argument.
This option has no @samp{doc} documentation.
@node ntpsweep strip
@subsection strip option (-s)
@cindex ntpsweep-strip

This is the ``strip this string from hostnames'' option.
This option takes a string argument.
This option has no @samp{doc} documentation.
@node ntpsweep host
@subsection host option (-h)
@cindex ntpsweep-host

This is the ``specify a single host'' option.
This option takes a string argument.
This option has no @samp{doc} documentation.

@strong{NOTE}@strong{: THIS OPTION IS DEPRECATED}
@node ntpsweep exit status
@subsection ntpsweep exit status

One of the following exit values will be returned:
@table @samp
@item 0 (EXIT_SUCCESS)
Successful program execution.
@item 1 (EXIT_FAILURE)
The operation failed or the command syntax was not valid.
@end table
